| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
VoidValue Class Reference

Specializations for void values. More...

`#include <VoidValue.h>`

Inheritance diagram for VoidValue:
[legend]
Collaboration diagram for VoidValue:
[legend]

## Public Member Functions
| VoidValue ()
| ~VoidValue () override
Value * | Deepcopy () const override
| Will return a deeopopy of this object. More...
std::string | GetAsOsString () const override
| Will return a string suitable for an std::ostream;. More...
long long int | GetInt64 () const override
| Throws HazelnuppValueNotConvertibleException. More...
int | GetInt32 () const override
| Throws HazelnuppValueNotConvertibleException. More...
long double | GetFloat64 () const override
| Throws HazelnuppValueNotConvertibleException. More...
double | GetFloat32 () const override
| Throws HazelnuppValueNotConvertibleException. More...
std::string | GetString () const override
| Throws HazelnuppValueNotConvertibleException. More...
const std::vector< Value * > & | GetList () const
| Throws HazelnuppValueNotConvertibleException. More...
Public Member Functions inherited from Value
virtual | ~Value ()
DATA_TYPE | GetDataType () const
| Will return the data type of this value. More...

## Additional Inherited Members
Protected Member Functions inherited from Value
| Value (DATA_TYPE type)
Protected Attributes inherited from Value
DATA_TYPE | type

## Detailed Description

Specializations for void values.

These house no value whatsoever, but only communicate information by merely existing.

Definition at line 6 of file VoidValue.h.

## Constructor & Destructor Documentation

## ◆ VoidValue()

VoidValue::VoidValue | ( |  | ) |

Definition at line 4 of file VoidValue.cpp.

5 :
6 Value(DATA_TYPE::VOID)
7 {
8 return;
9 }

## ◆ ~VoidValue()

VoidValue::~VoidValue | ( |  | ) |
| inline override

Definition at line 10 of file VoidValue.h.

10 {};

## Member Function Documentation

## ◆ Deepcopy()

Value * VoidValue::Deepcopy | ( |  | ) | const
| override virtual

Will return a deeopopy of this object.

Implements Value.

Definition at line 11 of file VoidValue.cpp.

12 {
13 return new VoidValue();
14 }

## ◆ GetAsOsString()

std::string VoidValue::GetAsOsString | ( |  | ) | const
| override virtual

Will return a string suitable for an std::ostream;.

Implements Value.

Definition at line 16 of file VoidValue.cpp.

17 {
18 return "VoidValue";
19 }

## ◆ GetFloat32()

double VoidValue::GetFloat32 | ( |  | ) | const
| override virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 38 of file VoidValue.cpp.

39 {
40 throw HazelnuppValueNotConvertibleException();
41 }

## ◆ GetFloat64()

long double VoidValue::GetFloat64 | ( |  | ) | const
| override virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 33 of file VoidValue.cpp.

34 {
35 throw HazelnuppValueNotConvertibleException();
36 }

## ◆ GetInt32()

int VoidValue::GetInt32 | ( |  | ) | const
| override virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 28 of file VoidValue.cpp.

29 {
30 throw HazelnuppValueNotConvertibleException();
31 }

## ◆ GetInt64()

long long int VoidValue::GetInt64 | ( |  | ) | const
| override virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 23 of file VoidValue.cpp.

24 {
25 throw HazelnuppValueNotConvertibleException();
26 }

## ◆ GetList()

const std::vector< Value * > & VoidValue::GetList | ( |  | ) | const
| virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 48 of file VoidValue.cpp.

49 {
50 throw HazelnuppValueNotConvertibleException();
51 }

## ◆ GetString()

std::string VoidValue::GetString | ( |  | ) | const
| override virtual

Throws HazelnuppValueNotConvertibleException.

Implements Value.

Definition at line 43 of file VoidValue.cpp.

44 {
45 throw HazelnuppValueNotConvertibleException();
46 }

The documentation for this class was generated from the following files:

- Hazelnupp/VoidValue.h
- Hazelnupp/VoidValue.cpp

DATA_TYPE::VOID
@ VOID
VoidValue::VoidValue
VoidValue()
Definition: VoidValue.cpp:4
HazelnuppValueNotConvertibleException
Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not ...
Definition: HazelnuppException.h:33
Value::Value
Value(DATA_TYPE type)
Definition: Value.cpp:3